﻿using System.Collections.Generic;
using CommandLine;
using CommandLine.Text;

namespace PdfRotator
{
    class Options
    {
        [Option("odd", HelpText = "The rotation angle of odd pages.")]
        public string OddPageRotation { get; set; }

        [Option("even", HelpText = "The rotation angle of even pages.")]
        public string EvenPageRotation { get; set; }

        [ValueList(typeof(List<string>))]
        public IList<string> Files { get; set; }

        public string GetUsage()
        {
            return HelpText.AutoBuild(this, (HelpText current) =>
                HelpText.DefaultParsingErrorsHandler(this, current));
        }

    }
}
