﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using PdfRotator.Util;

namespace PdfRotator.ViewModel
{
    class MainViewModel
    {
        static MainViewModel()
        {
            Rotations = EnumUtil.GetViewModels<PdfRotation>();
        }

        public MainViewModel()
        {
            Files = new ObservableCollection<FileViewModel>();
        }

        public static List<EnumViewModel<PdfRotation>> Rotations { get; private set; }

        public ObservableCollection<FileViewModel> Files { get; private set; }

        public PdfRotation OddPageRotation { get; set; }

        public PdfRotation EvenPageRotation { get; set; }

    }
}